# WindowedBackSearch Struct Reference
[Algorithms]

Specific implementation for search(). More...

List of all members.

## Detailed Description

Specific implementation for search().

This class owns a specific implementation of search. This implementation use an algorithm able to skip characters in the input stream, using a backward search inside windows in the stream.

One important precondition for using this algorithm is that there *must* be no spontaneous transition inside the given automaton.

See also:
  search(), FindBestSearch

Author:
  Thomas Claveirole <thomas@lrde.epita.fr>

Definition at line 108 of file search.hh.